SNDFILE-GENERATE-CHIRP(1)

NAME
sndfile-generate-chirp - generate a sound file containing a chirp

SYNOPSIS
sndfile-generate-chirp [options] <sample rate> <length in seconds> <sound file>

DESCRIPTION
sndfile-generate-chirp generates a sound file containing a sine wave that sweeps from a low starting frequency to a higher ending frequency (ie a chirp). The file is written using libsndfile (http://www.mega-nerd.com/libsndfile/).

The parameters allows the start and end sine wave frequencies to be set as well as specifying the shape of the sweep (ie linear, quadratic or logarithmic). Run "sndfile-generate-chirp --help" for more information.

The format of the output file is determined by the filename extension of the output file.

AUTHOR
This manual page was written by Erik de Castro Lopo <erikd@mega-nerd.com>.